# BidirectionalIterator<E> class

An Iterator that allows moving backwards as well as forwards.

Implemented types
  - Iterator<E>
Implementers
  - RuneIterator

## Constructors

BidirectionalIterator()

## Properties

current → E
  Returns the current element. [...]
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

movePrevious() → bool
  Move back to the previous element. [...]
moveNext() → bool
  Moves to the next element. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited